org.apache.geode.cache.snapshot

## Interface SnapshotOptions<K,V>

- Type Parameters:
    `K` - the cache entry key type
    `V` - the cache entry value type
  All Superinterfaces:
    java.io.Serializable

      public interface SnapshotOptions<K,V>
      extends java.io.Serializable

  Provides a way to configure the behavior of snapshot operations. The default options are:
  filter
    null
  Since:
    GemFire 7.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SnapshotOptions.SnapshotFormat` Defines the available snapshot file formats.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SnapshotFilter<K,V>` | `getFilter()` Returns the filter to be applied to snapshot entries.
    `SnapshotOptions<K,V>` | `invokeCallbacks(boolean invokeCallbacks)` Sets whether to invoke callbacks when loading a snapshot.
    `SnapshotOptions<K,V>` | `setFilter(SnapshotFilter<K,V> filter)` Sets a filter to apply to snapshot entries.
    `boolean` | `shouldInvokeCallbacks()` Returns whether loading a snapshot causes callbacks to be invoked

- - ### Method Detail

    - #### setFilter

          SnapshotOptions<K,V> setFilter(SnapshotFilter<K,V> filter)

      Sets a filter to apply to snapshot entries. Entries that are accepted by the filter will be included in import and export operations.
      Parameters:
        `filter` - the filter to apply, or null to remove the filter
      Returns:
        the snapshot options

    - #### getFilter

          SnapshotFilter<K,V> getFilter()

      Returns the filter to be applied to snapshot entries. Entries that are accepted by the filter will be included in import and export operations.
      Returns:
        the filter, or null if the filter is not set

    - #### invokeCallbacks

          SnapshotOptions<K,V> invokeCallbacks(boolean invokeCallbacks)

      Sets whether to invoke callbacks when loading a snapshot. The default is false.
      Parameters:
        `invokeCallbacks` -
      Returns:
        the snapshot options

    - #### shouldInvokeCallbacks

          boolean shouldInvokeCallbacks()

      Returns whether loading a snapshot causes callbacks to be invoked
      Returns:
        whether loading a snapshot causes callbacks to be invoked